Bug 1816124 - Review Request: python-rpmautospec - Package and CLI tool to generate release fields and changelogs
Summary: Review Request: python-rpmautospec - Package and CLI tool to generate release...
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-23 11:55 UTC by Adam Saleh
Modified: 2020-03-31 13:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Adam Saleh 2020-03-23 11:55:50 UTC
Spec URL: https://github.com/AdamSaleh/python-rpmautospec/blob/master/python-rpmautospec.spec
SRPM URL: https://github.com/AdamSaleh/python-rpmautospec/blob/master/rpms/python-rpmautospec-0.0.1-1.fc31.src.rpm?raw=true
Description: Package and CLI tool to generate release fields and changelogs
Fedora Account System Username: asaleh
Succesful scratch build in koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=42715293

Comment 2 Neal Gompa 2020-03-23 12:29:06 UTC
Taking this review.

Comment 3 Neal Gompa 2020-03-23 12:35:19 UTC
This spec file is illogically organized and hard to read. Please move subpackage definitions up with the rest of the preamble. You may also choose to organize it Mandriva-style where all the declarative parts are in one place, like so:

========================
Preamble

%description

%files

# -----

%package

%description

%files

# -----

%prep

%build

%install

# -----

%changelog

========================

Basically, please make it readable.

Comment 4 Adam Saleh 2020-03-24 11:48:12 UTC
I rearanged the spec-file to make it more readable, you can see the history of commits in the referenced repo.
Another change is splitting out cli the executable to a separate package and renaming the plugin package to koji-builder-plugin-rpmautospec.

Spec URL: https://raw.githubusercontent.com/AdamSaleh/python-rpmautospec/master/python-rpmautospec.spec
SRPM URL: https://raw.githubusercontent.com/AdamSaleh/python-rpmautospec/master/rpms/python-rpmautospec-0.0.1-1.fc31.src.rpm

Comment 5 Neal Gompa 2020-03-25 20:46:22 UTC
Adam, can you please regenerate the source RPM to match the spec file? fedora-review indicates that the two are quite different.

Comment 7 Neal Gompa 2020-03-26 12:25:38 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0: https://releases.pagure.org/Fedora-
     Infra/rpmautospec/rpmautospec-0.0.1.tar.gz
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/SourceURL/
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-rpmautospec-0.0.1-1.fc33.noarch.rpm
          rpmautospec-0.0.1-1.fc33.noarch.rpm
          koji-builder-plugin-rpmautospec-0.0.1-1.fc33.noarch.rpm
          python-rpmautospec-0.0.1-1.fc33.src.rpm
python3-rpmautospec.noarch: W: spelling-error Summary(en_US) changelogs -> change logs, change-logs, changelings
python3-rpmautospec.noarch: W: spelling-error %description -l en_US changelogs -> change logs, change-logs, changelings
python3-rpmautospec.noarch: E: non-executable-script /usr/lib/python3.8/site-packages/rpmautospec/changelog.py 644 /usr/bin/python3 
python3-rpmautospec.noarch: E: non-executable-script /usr/lib/python3.8/site-packages/rpmautospec/release.py 644 /usr/bin/python3 
python3-rpmautospec.noarch: E: non-executable-script /usr/lib/python3.8/site-packages/rpmautospec/tag_package.py 644 /usr/bin/python3 
rpmautospec.noarch: W: spelling-error Summary(en_US) changelogs -> change logs, change-logs, changelings
rpmautospec.noarch: W: spelling-error %description -l en_US changelogs -> change logs, change-logs, changelings
rpmautospec.noarch: W: no-documentation
rpmautospec.noarch: W: no-manual-page-for-binary rpmautospec
koji-builder-plugin-rpmautospec.noarch: W: spelling-error Summary(en_US) changelogs -> change logs, change-logs, changelings
koji-builder-plugin-rpmautospec.noarch: W: spelling-error %description -l en_US changelogs -> change logs, change-logs, changelings
koji-builder-plugin-rpmautospec.noarch: W: only-non-binary-in-usr-lib
koji-builder-plugin-rpmautospec.noarch: W: no-documentation
python-rpmautospec.src: W: spelling-error Summary(en_US) changelogs -> change logs, change-logs, changelings
python-rpmautospec.src: W: spelling-error %description -l en_US changelogs -> change logs, change-logs, changelings
python-rpmautospec.src:68: E: hardcoded-library-path in %{_prefix}/lib/koji-builder-plugins/rpmautospec_plugin.py
python-rpmautospec.src:80: E: hardcoded-library-path in %{_prefix}/lib/koji-builder-plugins/
python-rpmautospec.src:81: E: hardcoded-library-path in %{_prefix}/lib/koji-builder-plugins/
python-rpmautospec.src: W: invalid-url Source0: https://releases.pagure.org/Fedora-Infra/rpmautospec/rpmautospec-0.0.1.tar.gz HTTP Error 404: Not Found
4 packages and 0 specfiles checked; 6 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
python3-rpmautospec.noarch: W: spelling-error Summary(en_US) changelogs -> change logs, change-logs, changelings
python3-rpmautospec.noarch: W: spelling-error %description -l en_US changelogs -> change logs, change-logs, changelings
python3-rpmautospec.noarch: W: invalid-url URL: https://pagure.io/Fedora-Infra/rpmautospec <urlopen error [Errno -2] Name or service not known>
python3-rpmautospec.noarch: E: non-executable-script /usr/lib/python3.8/site-packages/rpmautospec/changelog.py 644 /usr/bin/python3 
python3-rpmautospec.noarch: E: non-executable-script /usr/lib/python3.8/site-packages/rpmautospec/release.py 644 /usr/bin/python3 
python3-rpmautospec.noarch: E: non-executable-script /usr/lib/python3.8/site-packages/rpmautospec/tag_package.py 644 /usr/bin/python3 
koji-builder-plugin-rpmautospec.noarch: W: spelling-error Summary(en_US) changelogs -> change logs, change-logs, changelings
koji-builder-plugin-rpmautospec.noarch: W: spelling-error %description -l en_US changelogs -> change logs, change-logs, changelings
koji-builder-plugin-rpmautospec.noarch: W: invalid-url URL: https://pagure.io/Fedora-Infra/rpmautospec <urlopen error [Errno -2] Name or service not known>
koji-builder-plugin-rpmautospec.noarch: W: only-non-binary-in-usr-lib
koji-builder-plugin-rpmautospec.noarch: W: no-documentation
rpmautospec.noarch: W: spelling-error Summary(en_US) changelogs -> change logs, change-logs, changelings
rpmautospec.noarch: W: spelling-error %description -l en_US changelogs -> change logs, change-logs, changelings
rpmautospec.noarch: W: invalid-url URL: https://pagure.io/Fedora-Infra/rpmautospec <urlopen error [Errno -2] Name or service not known>
rpmautospec.noarch: W: no-documentation
rpmautospec.noarch: W: no-manual-page-for-binary rpmautospec
3 packages and 0 specfiles checked; 3 errors, 13 warnings.



Requires
--------
python3-rpmautospec (rpmlib, GLIBC filtered):
    koji
    python(abi)
    python3-koji
    python3-pygit2
    python3-rpm
    python3.8dist(koji)
    python3.8dist(pygit2)
    python3.8dist(setuptools)

rpmautospec (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python3-rpmautospec

koji-builder-plugin-rpmautospec (rpmlib, GLIBC filtered):
    koji-builder-plugins
    python3-koji
    python3-rpmautospec



Provides
--------
python3-rpmautospec:
    python-rpmautospec
    python3-rpmautospec
    python3.8dist(rpmautospec)
    python3dist(rpmautospec)

rpmautospec:
    rpmautospec

koji-builder-plugin-rpmautospec:
    koji-builder-plugin-rpmautospec



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1816124 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Shell-api, Generic
Disabled plugins: SugarActivity, C/C++, Perl, Ocaml, Java, R, PHP, fonts, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 8 Neal Gompa 2020-03-26 12:26:53 UTC
> python-rpmautospec.src: W: invalid-url Source0: https://releases.pagure.org/Fedora-Infra/rpmautospec/rpmautospec-0.0.1.tar.gz HTTP Error 404: Not Found

I assume this will be valid once this release has actually been made.

Other than that, I see no other serious issues.

PACKAGE APPROVED.

Comment 9 Neal Gompa 2020-03-31 03:04:47 UTC
I've sponsored you through. You can proceed with the next step!

Comment 10 Gwyn Ciesla 2020-03-31 13:46:58 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-rpmautospec


Note You need to log in before you can comment on or make changes to this bug.